Bug 204098 - FC5: Xorg freezes the desktop, but still consumes CPU (MESA,DRM,DRI)
FC5: Xorg freezes the desktop, but still consumes CPU (MESA,DRM,DRI)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
5
i386 Linux
medium Severity urgent
: ---
: ---
Assigned To: Adam Jackson
:
: 197798 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-25 11:24 EDT by Thomas Steudten
Modified: 2008-08-02 19:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-03 09:27:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log file (47.46 KB, text/plain)
2006-08-25 11:24 EDT, Thomas Steudten
no flags Details
xorg.conf file (3.81 KB, text/plain)
2006-08-25 11:25 EDT, Thomas Steudten
no flags Details

  None (edit)
Description Thomas Steudten 2006-08-25 11:24:31 EDT
Created attachment 134928 [details]
Xorg log file
Comment 1 Thomas Steudten 2006-08-25 11:24:31 EDT
Description of problem:

Desktop is locked, no mouse or keyboard interaction possible. OS
is available. Changing terminal with Crtl-Alt-Fn or chvt isnt' possible.
No problem log lines in Xorg..log, or kernel ring buffer.
Signaling 15 or 9 does not work.

Version-Release number of selected component (if applicable):


How reproducible:
startup googleearth or use xosd with running ant-screensaver in full-window
mode. After starting this one to eight times, the problem happens. 

 
Actual results: 
Desktop freezes.

Expected results:
Xorg works with DRI/DRM and MESA fast and reliable.

Additional info:

from top:
 2900 root      25   0  186m 149m  36m -         R 108:05  3.6 99.5
/usr/bin/Xorg :0 -auth /var/gd..

gdb to Xorg:
(gdb) bt
#0  0x4b349a04 in ioctl () from /lib/libc.so.6
#1  0x080e4e10 in xf86ioctl ()
#2  0x403e0092 in drmCommandNone () from /usr/lib/xorg/modules/linux/libdrm.so
#3  0x403f5698 in RADEONWaitForIdleCP () from
/usr/lib/xorg/modules/drivers/radeon_drv.so
#4  0x405f59cb in XAAPaintWindow () from /usr/lib/xorg/modules/libxaa.so
#5  0x40582cf7 in ?? () from /usr/lib/xorg/modules/libshadowfb.so
#6  0x08151971 in DamageDamageRegion ()
#7  0x40089957 in vncHooksInit () from /usr/lib/xorg/modules/extensions/libvnc.so
#8  0x08120355 in miClearToBackground ()
#9  0x4008d243 in vncHooksInit () from /usr/lib/xorg/modules/extensions/libvnc.so
#10 0x080845a6 in ProcClearToBackground ()
#11 0x0808895b in Dispatch ()
#12 0x080701d7 in main ()

FC5 (latest updates):
xorg-x11-server-Xorg-1.0.1-9.fc5.5
xorg-x11-drv-ati-6.5.8.0-1
libXi-1.0.0-2.2
libdrm-devel-2.0.2-1.1
libXinerama-1.0.1-1.2
mesa-source-6.5-25self.20060818cvs
mesa-libGLU-devel-6.5-25self.20060818cvs
mesa-libGLw-6.5-25self.20060818cvs
mesa-libGL-6.5-25self.20060818cvs
mesa-libOSMesa-devel-6.5-25self.20060818cvs
mesa-debuginfo-6.5-25self.20060818cvs
libXinerama-devel-1.0.1-2.1
mesa-libGL-devel-6.5-25self.20060818cvs
mesa-libGLw-devel-6.5-25self.20060818cvs
mesa-libOSMesa-6.5-25self.20060818cvs
libXi-devel-1.0.1-3.1
mesa-libGLU-6.5-25self.20060818cvs
libdrm-2.0.2-1.1

kernel 2.6.17-1.2174self_FC5 (build from SRPMS with cusomized config)

dmesg | grep drm
[drm] Initialized drm 1.0.1 20051102
[drm] Initialized radeon 1.24.0 20060225 on minor 0
[drm] Setting GART location based on new memory map
[drm] Loading R300 Microcode
[drm] writeback test succeeded in 1 usecs
Comment 2 Thomas Steudten 2006-08-25 11:25:30 EDT
Created attachment 134929 [details]
xorg.conf file
Comment 3 Thomas Steudten 2006-08-31 11:52:37 EDT
This happens too, when antinspect screensaver is running, and the gnome power
manager applet comes up with a message "Battery Charged .." - Desktop freezes -
same behavior.
Looks like this is always the problem, running a GL application and writing
directly to the display, like power manager or xosd..
Comment 4 Thomas Steudten 2006-10-18 09:51:03 EDT
Do you have testsystem with X600 or r600 graphic board?
Comment 5 Daniel Roesen 2006-10-30 05:29:58 EST
FWIW, I do also experience lockups like these but need no specific trigger. Just
letting the system sit on the X11 GNOME login screen is sufficient to have it
hang after a while.

System is an IBM R52 laptop:
01:00.0 VGA compatible controller: ATI Technologies Inc M22 [Radeon Mobility M300]

FC6 with all updates.
Comment 6 Daniel Roesen 2006-10-30 05:36:16 EST
see also bug 190751 - same problem?
Comment 7 Thomas Steudten 2006-11-06 02:55:27 EST
This is PCIe not AGP, and the Xserver don't freeze after some time. Just when
using GL (mesa) AND writing to the screen direct like with OSD, or when the
battstat gives a messages.
Comment 8 Adam Jackson 2007-03-27 11:07:50 EDT
*** Bug 197798 has been marked as a duplicate of this bug. ***
Comment 9 Matěj Cepl 2007-04-06 10:46:30 EDT
Reporter, could you confirm please, that this bug still could be reproduced with
the latest release of Fedora (FC6)?
Comment 10 Thomas Steudten 2007-05-31 11:10:16 EDT
Sorry, I still use FC5 on this laptop, and yes, this bug is still there!
Comment 11 Thomas Steudten 2007-06-16 13:29:46 EDT
This seems to be fixed in FC7..
Comment 12 Matěj Cepl 2007-07-03 09:49:46 EDT
Fedora Core 5 is no longer supported, please, could you reproduce this bug with
the updated version of the currently supported distribution (Fedora Core 6, or
Fedora 7, or Rawhide)? If this issue turns out to still be reproducible, please
let us know in this bug report.  If after a month's time we have not heard back
from you, we will have to close this bug as CANTFIX/INSUFFICIENT_DATA.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 13 Matěj Cepl 2007-08-03 09:27:03 EDT
No information requested was provided, so I close this bug as INSUFFICIENT_DATA.
Reporter, if you could, please, reopen with additional information.

Note You need to log in before you can comment on or make changes to this bug.